API 参考定时计划
列出触发记录
GET
/api/v1/schedules/{schedule_id}/occurrences认证与授权Bearer <token>
工作空间 API 密钥(a13n_...)
传递位置: header
路径参数
schedule_id*Schedule Id
查询参数
limit?Limit
范围
1 <= value <= 100默认值
50cursor?string|null
status?|null
trigger?|null
created_after?|null
created_before?|null
unfinished?boolean|null
include?string|null
请求头参数
X-Workspace-ID?|
登录会话作用的工作空间 ID,登录会话必须提供。API 密钥作用于自身工作空间,无需提供;禁止指定其他工作空间。
响应体
application/json
application/json
application/json
curl -X GET "https://example.com/api/v1/schedules/string/occurrences"{ "items": [ { "completed_at": "2019-08-24T14:15:22Z", "completion_run_id": "string", "covered_from_at": "2019-08-24T14:15:22Z", "created_at": "2019-08-24T14:15:22Z", "deadline_at": "2019-08-24T14:15:22Z", "dispatch_attempts": 0, "entry_id": "string", "execution": { "has_unfinished_work": true, "initial_entry_status": "pending", "initial_run": { "id": "string", "status": "accepted" }, "observed_at": "2019-08-24T14:15:22Z" }, "execution_outcome": "succeeded", "finished_at": "2019-08-24T14:15:22Z", "id": "string", "last_error": "string", "next_attempt_at": "2019-08-24T14:15:22Z", "reason": "string", "schedule_id": "string", "schedule_version": 0, "scheduled_at": "2019-08-24T14:15:22Z", "session_id": "string", "status": "pending", "thread_id": "string", "trigger": "scheduled", "updated_at": "2019-08-24T14:15:22Z", "version": 0 } ], "next_cursor": "string"}